"use strict";
// utility function that validates three files
// confirms the first two files exist
// the third filename must be a legal filename (but does not need to exist)
Object.defineProperty(exports, "__esModule", { value: true });
const file_exists_1 = require("./file-exists");
const validate_target_file_1 = require("./validate-target-file");
function validateSourceModifierTarget(sourceFile, modifierFile, targetFile) {
    if (file_exists_1.fileExists(sourceFile) && file_exists_1.fileExists(modifierFile)) {
        return validate_target_file_1.validateTargetFile(targetFile);
    }
    else {
        return Promise.resolve(false);
    }
}
exports.validateSourceModifierTarget = validateSourceModifierTarget;
//# sourceMappingURL=validate-source-mod-target.js.map