"use strict";
// validate source file and target file
// source file must exist
// target file either must not exist, or it exists and the user confirms ok to overwrite it
Object.defineProperty(exports, "__esModule", { value: true });
const file_exists_1 = require("./file-exists");
const validate_target_file_1 = require("./validate-target-file");
function validateSourceTarget(sourceFile, targetFile) {
    if (file_exists_1.fileExists(sourceFile)) {
        return validate_target_file_1.validateTargetFile(targetFile);
    }
    else {
        return Promise.resolve(false);
    }
}
exports.validateSourceTarget = validateSourceTarget;
//# sourceMappingURL=validate-source-target.js.map