#! /usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_config_1 = __importDefault(require("../inversify/inversify.config"));
const program_info_1 = require("./program-info");
// build the CLI tool
const toolBuilder = inversify_config_1.default.get("Tool Builder" /* ToolBuilder */);
const cliTool = toolBuilder.buildCLItool();
// process the input
cliTool.parse(process.argv);
if (cliTool.info) {
    program_info_1.showProgramInfo();
}
// show help if there are too few arguments
if (process.argv.length < 3) {
    cliTool.help();
}
//# sourceMappingURL=main.js.map